
#ifndef LUBISHEV_EVENT_H
#define LUBISHEV_EVENT_H

#include <lubishev/TypeDefs.h>

#include <QString>
#include <QStringList>
#include <vector>

namespace lubishev {

class DB;

class Event {
    public:
        Event(DB *db, s64 id);
        Event(DB *db, time_t start, time_t end);

        time_t end() const;
        s64 id() const;
        void setTimes(time_t start, time_t end);
        void setTags(const QStringList &tags);
        time_t start() const;
        QStringList tags() const;

    private:
        DB *mDB;
        s64 mID;
};

bool operator<(const Event &e1, const Event &e2);

} // namespace lubishev

#endif // LUBISHEV_EVENT_H

